Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode.control.events
Class BattleAdaptor

    java.lang.Object
      robocode.control.events.BattleAdaptor

All Implemented Interfaces:
  IBattleListener

    public abstract class BattleAdaptor

extends Object
implements IBattleListener

An abstract adapter class for receiving battle events by implementing the `IBattleListener`. The methods in this class are empty. This class exists as convenience for creating listener objects.

This is handy class to use when implementing the IBattleListener. It saves you from implementing empty handlers for battle events you are not interested in handling.

Example:

       private class BattleObserver extends BattleAdaptor {
           boolean isReplay;

           public void onBattleStarted(BattleStartedEvent event) {
               isReplay = event.isReplay();
           }

           public void onBattleCompleted(BattleCompletedEvent event) {
           if (!isReplay) {
               printResultsData(event);
           }
       }

Since:
  1.6.2
Author:
  Flemming N. Larsen (original)
See Also:
  `IBattleListener`

Constructor Summary
`BattleAdaptor()` Creates a BattleAdaptor.

Method Summary
`void` | `onBattleCompleted(BattleCompletedEvent event)` This method is called when the battle has completed successfully and results are available.
`void` | `onBattleError(BattleErrorEvent event)` This method is called when the game has sent an error message.
`void` | `onBattleFinished(BattleFinishedEvent event)` This method is called when the battle has finished.
`void` | `onBattleMessage(BattleMessageEvent event)` This method is called when the game has sent a new information message.
`void` | `onBattlePaused(BattlePausedEvent event)` This method is called when the battle has been paused, either by the user or the game.
`void` | `onBattleResumed(BattleResumedEvent event)` This method is called when the battle has been resumed (after having been paused).
`void` | `onBattleStarted(BattleStartedEvent event)` This method is called when a new battle has started.
`void` | `onRoundEnded(RoundEndedEvent event)` This method is called when the current round of a battle has ended.
`void` | `onRoundStarted(RoundStartedEvent event)` This method is called when a new round in a battle has started.
`void` | `onTurnEnded(TurnEndedEvent event)` This method is called when the current turn in a battle round is ended.
`void` | `onTurnStarted(TurnStartedEvent event)` This method is called when a new turn in a battle round has started.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BattleAdaptor

    public BattleAdaptor()

  Creates a BattleAdaptor.

Method Detail

### onBattleStarted

    public void onBattleStarted(BattleStartedEvent event)

  This method is called when a new battle has started.

  You must override this method in order to get informed about this event and receive the event details.

  Specified by:
    `onBattleStarted` in interface `IBattleListener`
  Parameters:
    `event` - the event details.
  See Also:
    `BattleStartedEvent`, `IBattleListener.onBattleCompleted(BattleCompletedEvent)`, `IBattleListener.onBattleFinished(BattleFinishedEvent)`

### onBattleFinished

    public void onBattleFinished(BattleFinishedEvent event)

  This method is called when the battle has finished. This event is always sent as the last battle event, both when the battle is completed successfully, terminated due to an error, or aborted by the user. Hence, this events is well-suited for cleanup after the battle.

  You must override this method in order to get informed about this event and receive the event details.

  Specified by:
    `onBattleFinished` in interface `IBattleListener`
  Parameters:
    `event` - the event details.
  See Also:
    `BattleFinishedEvent`, `IBattleListener.onBattleStarted(BattleStartedEvent)`, `IBattleListener.onBattleCompleted(BattleCompletedEvent)`

### onBattleCompleted

    public void onBattleCompleted(BattleCompletedEvent event)

  This method is called when the battle has completed successfully and results are available. This event will not occur if the battle is terminated or aborted by the user before the battle is completed.

  You must override this method in order to get informed about this event and receive the event details.

  Specified by:
    `onBattleCompleted` in interface `IBattleListener`
  Parameters:
    `event` - the event details.
  See Also:
    `BattleCompletedEvent`, `IBattleListener.onBattleStarted(BattleStartedEvent)`, `IBattleListener.onBattleFinished(BattleFinishedEvent)`

### onBattlePaused

    public void onBattlePaused(BattlePausedEvent event)

  This method is called when the battle has been paused, either by the user or the game.

  You must override this method in order to get informed about this event and receive the event details.

  Specified by:
    `onBattlePaused` in interface `IBattleListener`
  Parameters:
    `event` - the event details.
  See Also:
    `BattlePausedEvent`, `IBattleListener.onBattleResumed(BattleResumedEvent)`

### onBattleResumed

    public void onBattleResumed(BattleResumedEvent event)

  This method is called when the battle has been resumed (after having been paused).

  You must override this method in order to get informed about this event and receive the event details.

  Specified by:
    `onBattleResumed` in interface `IBattleListener`
  Parameters:
    `event` - the event details.
  See Also:
    `BattleResumedEvent`, `IBattleListener.onBattlePaused(BattlePausedEvent)`

### onRoundStarted

    public void onRoundStarted(RoundStartedEvent event)

  This method is called when a new round in a battle has started.

  You must override this method in order to get informed about this event and receive the event details.

  Specified by:
    `onRoundStarted` in interface `IBattleListener`
  Parameters:
    `event` - the event details.
  See Also:
    `RoundEndedEvent`, `IBattleListener.onRoundEnded(RoundEndedEvent)`

### onRoundEnded

    public void onRoundEnded(RoundEndedEvent event)

  This method is called when the current round of a battle has ended.

  You must override this method in order to get informed about this event and receive the event details.

  Specified by:
    `onRoundEnded` in interface `IBattleListener`
  Parameters:
    `event` - the event details.
  See Also:
    `RoundEndedEvent`, `IBattleListener.onRoundStarted(RoundStartedEvent)`

### onTurnStarted

    public void onTurnStarted(TurnStartedEvent event)

  This method is called when a new turn in a battle round has started.

  You must override this method in order to get informed about this event and receive the event details.

  Specified by:
    `onTurnStarted` in interface `IBattleListener`
  Parameters:
    `event` - the event details.
  See Also:
    `TurnStartedEvent`, `IBattleListener.onTurnEnded(TurnEndedEvent)`

### onTurnEnded

    public void onTurnEnded(TurnEndedEvent event)

  This method is called when the current turn in a battle round is ended.

  You must override this method in order to get informed about this event and receive the event details.

  Specified by:
    `onTurnEnded` in interface `IBattleListener`
  Parameters:
    `event` - the event details.
  See Also:
    `TurnEndedEvent`, `IBattleListener.onTurnStarted(TurnStartedEvent)`

### onBattleMessage

    public void onBattleMessage(BattleMessageEvent event)

  This method is called when the game has sent a new information message.

  You must override this method in order to get informed about this event and receive the event details.

  Specified by:
    `onBattleMessage` in interface `IBattleListener`
  Parameters:
    `event` - the event details.
  See Also:
    `BattleMessageEvent`, `IBattleListener.onBattleError(BattleErrorEvent)`

### onBattleError

    public void onBattleError(BattleErrorEvent event)

  This method is called when the game has sent an error message.

  You must override this method in order to get informed about this event and receive the event details.

  Specified by:
    `onBattleError` in interface `IBattleListener`
  Parameters:
    `event` - the event details.
  See Also:
    `BattleErrorEvent`, `IBattleListener.onBattleMessage(BattleMessageEvent)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Robocode. All Rights Reserved.